Bug 425860 - [PATCH] Add some option aliases, document some existing ones
Summary: [PATCH] Add some option aliases, document some existing ones
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-16 20:23 UTC by Ville Skyttä
Modified: 2013-01-10 01:44 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-12-17 04:20:23 UTC


Attachments (Terms of Use)
Add some option aliases, man page improvements (4.66 KB, patch)
2007-12-16 20:23 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-12-16 20:23:31 UTC
The attached patch adds the following option aliases: --root for -r, -D for
--define (like in rpmbuild), --target for --arch (like in rpmbuild).  It also
adds --verbose and --quiet and -h to the man page, and fixes a couple of other
minor man page issues.

Note that the help string for --trace seemed to be incorrect (a copy-pasto from
--quiet), this patch adds placeholders for real documentation for it both in the
help output and the man page; I don't know what it does so I couldn't document it :)

Comment 1 Ville Skyttä 2007-12-16 20:23:31 UTC
Created attachment 289727 [details]
Add some option aliases, man page improvements

Comment 2 Michael E Brown 2007-12-17 04:01:43 UTC
thanks. will apply 


Comment 3 Michael E Brown 2007-12-17 04:20:23 UTC
applied for next release.

documented --trace.


Note You need to log in before you can comment on or make changes to this bug.